<template>
  <single-panel>
    <div v-if="loader" class="setting-direction-loader">
      <ob-loader
          :width="10"
          :height="10"
          :duration="2"
      />
    </div>
    <div v-else>
      <div v-if="Object.keys(personal_direction).length" class="setting-direction">
        <filter-panel/>
        <data-table/>
      </div>
      <div v-else class="setting-direction-is-empty">
        <p class="title">Данная ссылка устарела или неверный тип данных</p>
      </div>
    </div>
  </single-panel>
</template>

<script>
  import SinglePanel from "common-components/src/obComponents/obSinglePanels";
  import ObLoader from 'common-components/src/obComponents/obLoader';
  import FilterPanel from "./FilterPanel";
  import DataTable from "./DataTable";
  import {mapActions, mapGetters} from "vuex";
  export default {
    name: "SettingDirection",
    components: {
      SinglePanel,
      ObLoader,
      FilterPanel,
      DataTable
    },
    computed: {
      ...mapGetters({
        loader: 'clicarSettings/loader',
        personal_direction: 'clicarSettings/personal_direction',
        clicarUuid: 'user/participantUuid'
      })
    },
    mounted() {
      this.loadPersonalDirection({clicarUuid: this.clicarUuid, ...this.$route.query});
    },
    methods: {
      ...mapActions({
        loadPersonalDirection: 'clicarSettings/loadPersonalDirection'
      })
    }
  }
</script>

<style scoped lang="scss">
  .setting-direction {
    &-loader, &-is-empty {
      display: flex;
      justify-content: center;
      align-items: center;
      height: 60vh;
    }
    &-is-empty {
      font-size: 24px;
      line-height: 29px;
      letter-spacing: 0.4px;
      color: $color-grey-span;
    }
  }
</style>